InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
inertia::RemoteIOgetRequest Struct Reference
Inheritance diagram for inertia::RemoteIOgetRequest:
[legend]
Collaboration diagram for inertia::RemoteIOgetRequest:
[legend]

## Public Member Functions
| RemoteIOgetRequest (const uint8_t *packet, const unsigned max_size)
| RemoteIOgetRequest (std::wstring const &argString)
void | GetBytes (std::vector< uint8_t > &out) const override
const std::wstring | ToString () const override
uint8_t | GetType () const override
bool | IsResponse () const override
Public Member Functions inherited from inertia::RemoteIOCommand
InertiaCommandGroups | GetGroup () const override

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()
Static Public Member Functions inherited from inertia::RemoteIOCommand
static std::wstring | GetName (RemoteIOCommands const command)
static InertiaCommandPtr | Parse (const uint8_t *in, unsigned const packetSize)
static InertiaCommandPtr | Parse (std::wstring const &argString)

## Additional Inherited Members
Protected Member Functions inherited from inertia::RemoteIOCommand
| RemoteIOCommand (const uint8_t *packet, const unsigned max_size)
| RemoteIOCommand (std::wstring const &argString)
Protected Member Functions inherited from inertia::InertiaCommand
| InertiaCommand (const uint8_t *packet, const unsigned max_size)
| InertiaCommand (std::wstring const &argString)
| InertiaCommand (InertiaCommand const &)=default
InertiaCommand & | operator= (InertiaCommand const &)=default

## Member Function Documentation

## ◆ GetBytes()

void inertia::RemoteIOgetRequest::GetBytes | ( | std::vector< uint8_t > & | out | ) | const
| override virtual

Implements inertia::InertiaCommand.

## ◆ GetType()

uint8_t inertia::RemoteIOgetRequest::GetType | ( |  | ) | const
| override virtual

Implements inertia::InertiaCommand.

## ◆ IsResponse()

bool inertia::RemoteIOgetRequest::IsResponse | ( |  | ) | const
| override virtual

Implements inertia::InertiaCommand.

## ◆ ToString()

const std::wstring inertia::RemoteIOgetRequest::ToString | ( |  | ) | const
| override virtual

Implements inertia::InertiaCommand.

The documentation for this struct was generated from the following file:

- RemoteIOCommands.h